org.jboss.netty.util

## Interface Timer

- All Known Implementing Classes:
    HashedWheelTimer

      public interface Timer

  Schedules `TimerTask`s for one-time future execution in a background thread.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Timeout` | `newTimeout(TimerTask task, long delay, TimeUnit unit)` Schedules the specified `TimerTask` for one-time execution after the specified delay.
    `Set<Timeout>` | `stop()` Releases all resources acquired by this `Timer` and cancels all tasks which were scheduled but not executed yet.

- - ### Method Detail

    - #### newTimeout

          Timeout newTimeout(TimerTask task,
                           long delay,
                           TimeUnit unit)

      Schedules the specified `TimerTask` for one-time execution after the specified delay.
      Returns:
        a handle which is associated with the specified task
      Throws:
        `IllegalStateException` - if this timer has been stopped already

    - #### stop

          Set<Timeout> stop()

      Releases all resources acquired by this `Timer` and cancels all tasks which were scheduled but not executed yet.
      Returns:
        the handles associated with the tasks which were canceled by this method

Copyright © 2008-2012 The Netty Project. All Rights Reserved.